# Архитектура проекта
Да, можно было бы использовать кубурнетис. Но зачем, если иммутабельность обесечивается NixOS?

**Стек**: NixOS, python, flutter

## Мобильное приложение
Flutter/Dart выбрали из-за скорости и плавности работы UI и кросс-платформенности.

## Бэкэнд
NixOS + Python + Flask + subprocess

## Сервис-провайдеры

### Хостинг
**Hetzer** выбрали из-за низкой цены и приемлемый уровень сервиса, качественного REST API. Не был замечен в проблемах с приватностью и сбором данных.

Кандидаты:
- Свой личный железный сервер. Сейчас наш основной приоритет.
- OVH
- Scaleway
- DigitalOcean

### DNS
**Cloudlare** надежность, бесплатность. Вероятно, собирает данные, иначе сложно объяснить зачем бесплатно проксировать чужой трафик. В нашем случае используем только как DNS-сервер и ничего не проксируем. В будущем заменим на self-hosted DNS, как только решим проблему надежности.

### Хранилище резервных копий
**blackblaze** - беслпатно или в разы дешевле AWS. Не замечен в сборе данных. [Публикует](https://www.backblaze.com/blog/open-source-data-storage-server/) в open source наработки железа на котором работает. А дакже [делится](https://www.backblaze.com/b2/hard-drive-test-data.html) очень полезной статистикой по отказам дисков, на основе которых можно выбрать себе наиболее надежный и проверенный. В будущем, возможно, заменим на self-hosted решение или p2p. Сейчас это не основной приоритет, т.к. данные шифруются, а сервис-провайдер видит только ip вашего сервера, но не домашний.